org.vishia.gral.ifc

## Interface GralPrimaryWindow_ifc

-     public interface GralPrimaryWindow_ifc

  This interface represents a basic main window with title bar in the gral (graphical adaption layer).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `version` Version, history and license.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getitsGraphicFrame()` Returns the Frame class of the underlying graphic.
    `MainCmd_ifc` | `getMainCmd()`
    `void` | `setStandardMenusGThread(java.io.File openStandardDirectory, GralUserAction actionFile)` Activates the menu bar with the standard entries, especially the file open entry.

- - ### Field Detail

    - #### version

          static final int version

      Version, history and license.
      - 2012-03-10 Hartmut chg Now the both GralWindow_set- and -getifc are base, The GralWindow_ifc is independent of this.
      - 2011-06-00 Hartmut created
      Copyright/Copyleft:
      For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but doesn't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you intent to use this source without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setStandardMenusGThread

          void setStandardMenusGThread(java.io.File openStandardDirectory,
                                       GralUserAction actionFile)

      Activates the menu bar with the standard entries, especially the file open entry. Note: This method should only be called in the same thread where the graphic runs.
      Parameters:
        `openStandardDirectory` - If given, then this is the default directory for file open.
        `actionFile` - Action on file menu entries.

    - #### getMainCmd

          MainCmd_ifc getMainCmd()

    - #### getitsGraphicFrame

          java.lang.Object getitsGraphicFrame()

      Returns the Frame class of the underlying graphic. SWT: Shell, swing: TODO
      Returns: